INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/tderesources/lib \
           -I../lib $(all_includes)

lib_LTLIBRARIES = libkcal_groupdav.la libtdeabc_groupdav.la
noinst_LTLIBRARIES = libkgroupdav.la

libkgroupdav_la_SOURCES = groupdavglobals.cpp

libkcal_groupdav_la_SOURCES = groupdavcalendaradaptor.cpp kcal_resourcegroupdav.cpp 
libkcal_groupdav_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libkcal_groupdav_la_LIBADD = \
  libkgroupdav.la ../lib/libkgroupwaredav.la \
  $(top_builddir)/libkcal/libkcal.la $(top_builddir)/libtdepim/libtdepim.la 

libtdeabc_groupdav_la_SOURCES = tdeabc_resourcegroupdav.cpp groupdavaddressbookadaptor.cpp 
libtdeabc_groupdav_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libtdeabc_groupdav_la_LIBADD = \
  libkgroupdav.la ../lib/libkgroupwaredav.la  \
  $(top_builddir)/libkcal/libkcal.la  $(top_builddir)/libtdepim/libtdepim.la \
  -ltdeabc

kde_module_LTLIBRARIES = kcal_groupdav.la tdeabc_groupdav.la

kcal_groupdav_la_SOURCES = kcal_resourcegroupdav_plugin.cpp
kcal_groupdav_la_LDFLAGS = $(all_libraries) -module -no-undefined $(KDE_PLUGIN)
kcal_groupdav_la_LIBADD = libkcal_groupdav.la

tdeabc_groupdav_la_SOURCES = tdeabc_resourcegroupdav_plugin.cpp
tdeabc_groupdav_la_LDFLAGS = $(all_libraries) -module -no-undefined $(KDE_PLUGIN)
tdeabc_groupdav_la_LIBADD = libtdeabc_groupdav.la

kcal_servicedir = $(kde_servicesdir)/tderesources/kcal
kcal_service_DATA = kcal_groupdav.desktop

tdeabc_servicedir = $(kde_servicesdir)/tderesources/tdeabc
tdeabc_service_DATA = tdeabc_groupdav.desktop

METASOURCES = AUTO

install-data-local: uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_servicesdir)/tderesources/tdeabc
	$(mkinstalldirs) $(DESTDIR)$(kde_servicesdir)/tderesources/kcal
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_servicesdir)/tderesources/tdeabc/tdeabc_opengroupware.desktop
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_servicesdir)/tderesources/kcal/kcal_opengroupware.desktop

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kres_groupdav.pot

tdeabc_resourcegroupdav.lo: ../lib/tderesources_groupwareprefs.h

